---
import Layout from '../layouts/Layout.astro'
import RouteButton from '../components/RouteButton.astro'
import ColorizedHR from '../components/ColorizedHR.astro'

import kiwiFruitIcon from '../assets/images/icons/kiwi-fruit.svg'
import wifiIcon from '../assets/images/icons/wifi.svg'
import nationalParkIcon from '../assets/images/icons/national-park.svg'
import polarResearchStationIcon from '../assets/images/icons/polar-research-station.svg'
import tacoIcon from '../assets/images/icons/taco.svg'

const residentName = import.meta.env.RESIDENT_NAME
const residentPortalUrl = import.meta.env.RESIDENT_PORTAL_URL
const nearbyDelTacoSearchUrl = import.meta.env.NEARBY_DEL_TACO_SEARCH_URL
---

<Layout title="Home HQ">
  <main class="min-w-screen min-h-screen bg-space-cadet">
    <ColorizedHR backgroundColor="#D81159" />
    <ColorizedHR backgroundColor="#1D2F6F" />
    <ColorizedHR backgroundColor="#0496FF" />

    <section id="content" class="min-h-screen">
      <div class="px-6 grid gap-3 grid-cols-1 place-items-center">
        <!-- Title -->
        <section id="heading" class="grid place-items-center">
          <h1 class="pt-24 text-6xl font-bold text-center text-white py-6" role="heading">
            Home HQ <img
              class="inline w-20 h-20 pt-0 pb-1 pl-0"
              src={kiwiFruitIcon.src}
              alt="kiwi fruit icon"
            />
          </h1>

          <!-- Intro -->
          <div id="intro" class="px-6 py-12 max-w-xl space-y-2">
            <p class="text-2xl font-medium text-center text-white">Welcome to {residentName}'s!</p>
          </div>
        </section>

        <!-- Buttons -->
        <section class="grid grid-cols-1 space-y-8 max-w-lg pt-12 pb-12" id="links">
          <h2 class="text-3xl text-white text-center font-bold">Links</h2>
          <!-- Guest WiFi -->
          <RouteButton
            text="Guest WiFi Access"
            link="/guest-wifi"
            icon={wifiIcon.src}
            alttext="wifi icon"
          />

          <!-- Local Attractions -->
          <RouteButton
            text="Local Attractions"
            link="/local-attractions"
            icon={nationalParkIcon.src}
            alttext="national park icon"
          />

          <!-- Apartment Resident Portal -->
          <RouteButton
            text="Apartment Portal"
            link={residentPortalUrl}
            icon={polarResearchStationIcon.src}
            alttext="research station icon"
          />

          <!-- Greater Denver Area Del Taco Search -->
          <RouteButton
            text="Del Taco Locations"
            link={nearbyDelTacoSearchUrl}
            icon={tacoIcon.src}
            alttext="taco icon"
          />
        </section>
      </div>
    </section>
  </main>
</Layout>
